# 1.9.0 release (2019-06-13)

## Features :

- **Core**
	- Intent to ship global config ([#932](https://github.com/naver/billboard.js/issues/932))

- **Radar**
	- Intent to ship multiline axis ([#904](https://github.com/naver/billboard.js/issues/904))

- **Gauge**
	- Intent to ship stack data ([#580](https://github.com/naver/billboard.js/issues/580))

- **Data**
	- Intent to ship data.labels.centered ([#876](https://github.com/naver/billboard.js/issues/876))
	- Intent to ship data.labels.colors ([#871](https://github.com/naver/billboard.js/issues/871))

- **Pie**
	- Enhance innerRadius option ([#856](https://github.com/naver/billboard.js/issues/856))

- **Plugin**
	- Add support for Stanford Diagrams ([#829](https://github.com/naver/billboard.js/issues/829))

- **Bar, Point**
	- Intent to ship sensitivity ([#831](https://github.com/naver/billboard.js/issues/831))

- **Tooltip**
	- Intent to ship tooltip.contents.text ([#826](https://github.com/naver/billboard.js/issues/826))
	- Intent to ship tooltip.contents.template ([#813](https://github.com/naver/billboard.js/issues/813))
	- Intent to ship tooltip.doNotHide ([#812](https://github.com/naver/billboard.js/issues/812))

- **Stats**
	- Intent to ship stats ([#928](https://github.com/naver/billboard.js/issues/928))

## Bug Fixes :

- **Line**
	- Fix areaGradient for spaced data name ([#930](https://github.com/naver/billboard.js/issues/930))

- **Grid**
	- Correct grid scale on zoom ([#799](https://github.com/naver/billboard.js/issues/799))
	- Correct grid position ([#820](https://github.com/naver/billboard.js/issues/820))

- **Axis**
	- Fix on axis width sizing ([#920](https://github.com/naver/billboard.js/issues/920))
	- Adjust axes range ([#859](https://github.com/naver/billboard.js/issues/859))

- **Zoom**
	- Fix zoom level reset ([#913](https://github.com/naver/billboard.js/issues/913))
	- Fix tooltip pos for bubble/scatter ([#906](https://github.com/naver/billboard.js/issues/906))
	- Fix on rotated axis ([#736](https://github.com/naver/billboard.js/issues/736))
	- Fix zoom rescale by wheel ([#890](https://github.com/naver/billboard.js/issues/890))

- **Data**
	- Fix empty label text flickering ([#901](https://github.com/naver/billboard.js/issues/901))

- **Point**
	- Correct point expansion on old IEs ([#897](https://github.com/naver/billboard.js/issues/897))

- **Tooltip**
	- Fix handling on color tile ([#875](https://github.com/naver/billboard.js/issues/875))

- **Area**
	- Apply gradient on dynamic data loading ([#855](https://github.com/naver/billboard.js/issues/855))

- **Api**
	- Fix css encoding in exported svg ([#843](https://github.com/naver/billboard.js/issues/843))

## Documents :

- **Types**
	- Onover should be optional ([#924](https://github.com/naver/billboard.js/issues/924))

- **Api**
	- Update on .load() description ([#866](https://github.com/naver/billboard.js/issues/866))

- **Demo**
	- Fix broken demos, lowercase id ([#840](https://github.com/naver/billboard.js/issues/840))

## Code Styles :

- **Demo**
	- Correct style rule to be lowercase ([#824](https://github.com/naver/billboard.js/issues/824))

## Refactorings :

- **Legend**
	- Improve custom legend behaves ([#907](https://github.com/naver/billboard.js/issues/907))

- **Bar**
	- Remove stroke style for bar ([#872](https://github.com/naver/billboard.js/issues/872))

- **Flow**
	- Mitigation for .flow() when isn't visible ([#825](https://github.com/naver/billboard.js/issues/825))

## Test Codes :

- **Plugin**
	- Add test code for stanford plugin ([#829](https://github.com/naver/billboard.js/issues/829))

## Chore tasks :

- **Dev-en**
	- Add license scan report and status ([#887](https://github.com/naver/billboard.js/issues/887))

- **Demo**
	- Add launch code editor ([#883](https://github.com/naver/billboard.js/issues/883))
	- Add editing functionality ([#810](https://github.com/naver/billboard.js/issues/810))
	- Enhance navigation ([#853](https://github.com/naver/billboard.js/issues/853))
